unit uProg1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfProg1 = class(TForm)
    lForras: TLabel;
    lRogton: TLabel;
    lKilep: TLabel;
    lGomb: TLabel;
    eForras: TEdit;
    eRogton: TEdit;
    eKilep: TEdit;
    bGomb: TButton;
    bKilep: TButton;
    eGomb: TEdit;
    procedure bKilepClick(Sender: TObject);
    procedure eForrasChange(Sender: TObject);
    procedure eForrasExit(Sender: TObject);
    procedure bGombClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fProg1: TfProg1;

implementation

{$R *.DFM}

procedure TfProg1.bKilepClick(Sender: TObject);
begin
     Close;
end;

procedure TfProg1.eForrasChange(Sender: TObject);
begin
     eRogton.Text := eForras.Text;
end;

procedure TfProg1.eForrasExit(Sender: TObject);
begin
     eKilep.Text := eForras.Text;
end;

procedure TfProg1.bGombClick(Sender: TObject);
begin
     eGomb.Text := eForras.Text;
end;

end.
 